package type;
final public class SpliceConsensusHolder
	implements org.omg.CORBA.portable.Streamable
{
	public type.SpliceConsensus value;

	public SpliceConsensusHolder ()
	{
	}
	public SpliceConsensusHolder (type.SpliceConsensus initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return type.SpliceConsensusHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = type.SpliceConsensusHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		type.SpliceConsensusHelper.write(_out,value);
	}
}
